package com.example.layoutproject;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.GridView;
import android.widget.Toast;

import com.example.layoutproject.adapter.CustomGridAdapter;

public class GridViewActivity extends Activity {
	private GridView gridview	= null;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.grid_layout_activity);
		
		gridview = (GridView) findViewById(R.id.gridview);

		gridview.setAdapter(new CustomGridAdapter(this));
		gridview.setOnItemClickListener(new OnItemClickListener() {
	        public void onItemClick(AdapterView<?> parent, View v, int position, long id) {
	            Toast.makeText(GridViewActivity.this, "" + position, Toast.LENGTH_SHORT).show();
	        }
	    });

	}
}
