package com.example.layoutproject;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ListViewArrayAdapterActivity extends Activity {
	private ListView list	= null;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.listview_layout_activity);
		
		String[] days = getResources().getStringArray(R.array.listOfDays);
		
		list = (ListView)findViewById(R.id.idList);
		list.setAdapter(new ArrayAdapter<String>(this, R.layout.text_item_list, days));
		list.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> arg0, View arg1, int position,
					long arg3) {
				if ( position == 0){
					Intent intent = new Intent(ListViewArrayAdapterActivity.this, ListViewCustomAdapterActivity.class);
					startActivity(intent);
				}
				
			}
		});
	}
	
	
}
